[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

CoupledIteratorType< N, T1, T2, T3, T4, T5 > Struct Template Reference

`#include <vigra/multi_iterator_coupled.hxx>`

Inheritance diagram for CoupledIteratorType< N, T1, T2, T3, T4, T5 >:

## Public Types

typedef CoupledHandleType< N, T1, T2, T3, T4, T5 >::type | HandleType
typedef CoupledScanOrderIterator< HandleType::dimensions, HandleType > | IteratorType

## Detailed Description

template<unsigned int N, class T1 = void, class T2 = void, class T3 = void, class T4 = void, class T5 = void>
struct vigra::CoupledIteratorType< N, T1, T2, T3, T4, T5 >

Helper class to easliy get the type of a CoupledScanOrderIterator (and corresponding CoupledHandle) for up to five arrays of dimension N with element types T1,...,T5.

## Member Typedef Documentation

## ◆ HandleType

template<unsigned int N, class T1 = void, class T2 = void, class T3 = void, class T4 = void, class T5 = void>

typedef CoupledHandleType<N,T1,T2,T3,T4,T5>::type HandleType

Type of the CoupledHandle.

## ◆ IteratorType

template<unsigned int N, class T1 = void, class T2 = void, class T3 = void, class T4 = void, class T5 = void>

typedef CoupledScanOrderIterator<HandleType::dimensions, HandleType> IteratorType

Type of the CoupledScanOrderIterator.

The documentation for this struct was generated from the following file:

- vigra/multi_iterator_coupled.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.1